System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement To be added.

Represents a configuration element that specifies how service metadata can be processed. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Description.IPolicyImportExtension> To be added.

  Loads a collection of objects used to import custom policy assertions about bindings.

  A collection of objects used to import custom policy assertions about bindings.

- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Description.IWsdlImportExtension> To be added.

  Loads a collection of objects used to import custom WSDL information.

  A collection of objects used to import custom WSDL information.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("policyImporters", Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.Configuration.PolicyImporterElementCollection To be added.

  A policy importer is used to search custom policy assertions about binding features, as well as attach a custom binding element that implements the features the assertion requires.

  Gets a collection of policy importers that specifies the import of custom policy assertions about bindings.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("wsdlImporters", Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.Configuration.WsdlImporterElementCollection To be added.

  A is used to import metadata as well as convert that information into various classes that represent contract and endpoint information.

  It can selectively import contract and endpoint information and properties that expose any import errors and accept type information relevant to the import and conversion process. It also supports importing binding information and properties that provide access to any policy documents, WSDL documents, WSDL extensions, and XML schema documents.

  Gets a collection of WSDL importers that imports Web Services Description Language (WSDL) 1.1 metadata with WS-Policy attachments.